PROGRAM_NAME='Beispiel: 2-Byte-Float (EIS5) auf TouchPanel'
(*   DATE:05/28/99    TIME:11:44:40    *)
DEFINE_DEVICE
  EIB   = 217 (* AXB-232++: Gateway *)
  TP    = 128 (* TouchPanel *)

DEFINE_VARIABLE
  Puffer[255]   (* Empfangspuffer vom Gateway *)

  INTEGER Switch[255]   (* Aktuelle Werte *)
  INTEGER Dim4[255]
  INTEGER Byte1[255]
  INTEGER Byte2[255][2]
  INTEGER Byte3[255][3]
  INTEGER Byte4[255][4]

  INTEGER Alt_Temp[2]   (* Vergleichswert der Temperatur *)
  Feld[10]      (* Klartext des Temperatur-Wertes *)

DEFINE_START
  CREATE_BUFFER EIB,Puffer

DEFINE_PROGRAM
  SYSTEM_CALL 'EIB Read All' (Puffer,Switch,Dim4,Byte1,Byte2,Byte3,Byte4)

  IF(Byte2[1] <> Alt_Temp) (* hat sich die Temperatur geaendert? *)
    {
    SYSTEM_CALL 'EIS5 to String' (Byte2[1],Feld) (* Zifferndarstellung *)
    SEND_COMMAND TP,"'TEXT1-',Feld"          (* im Textfeld 1 anzeigen *)
    Alt_Temp = Byte2[1]                      (* Wert merken *)
    }


